Skip to main content
POST
/
generation
/
lightricks
/
ltx-2.3
LTX 2.3
curl --request POST \
  --url https://open.skills.video/api/v1/generation/lightricks/ltx-2.3 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>"
}
'
{
  "id": "<string>",
  "status": "starting",
  "usage": {
    "total": 0,
    "subscription": 0,
    "permanent": 0
  }
}
Unified LTX 2.3 model for text-to-video and image-to-video (Pro/Fast).

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

application/json
prompt
string
required

The prompt to use for the generated video

n
integer
default:1

Number of results to generate (1-4)

Required range: 1 <= x <= 4
quality
enum<string>
default:pro

pro maps to LTX 2.3 Pro endpoint, fast maps to LTX 2.3 Fast endpoint

Available options:
pro,
fast
image_url
string<uri>

Optional start image. When provided, generation uses image-to-video.

end_image_url
string<uri>

Optional end image for image-to-video transition.

duration
default:6

Video duration in seconds

resolution
enum<string>
default:1080p

The resolution of the generated video

Available options:
1080p,
1440p,
2160p
aspect_ratio
enum<string>
default:16:9

The aspect ratio of the generated video

Available options:
16:9,
9:16
fps
default:25

Frames per second for generated video

generate_audio
boolean
default:true

Whether to generate audio for the video

Response

Generation status

id
string
required

Generation id.

status
enum<string>
required

Generation status

Available options:
starting,
processing,
succeeded,
failed,
canceled
usage
object
required

Credit usage breakdown for the request